|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QDragEnterEvent Class Reference
[QtGui module]

The QDragEnterEvent class provides an event which is sent to a widget when a drag and drop action enters it. More...

     #include <QDragEnterEvent>

Inherits QDragMoveEvent.

- List of all members, including inherited members

### Public Functions

- QDragEnterEvent ( const QPoint & point, Qt::DropActions actions, const QMimeData * data, Qt::MouseButtons buttons, Qt::KeyboardModifiers modifiers )

- 5 public functions inherited from QDragMoveEvent
- 10 public functions inherited from QDropEvent
- 6 public functions inherited from QEvent
- 3 public functions inherited from QMimeSource

### Additional Inherited Members

- 1 property inherited from QEvent
- 1 static public member inherited from QEvent

## Detailed Description

The QDragEnterEvent class provides an event which is sent to a widget when a drag and drop action enters it.

A widget must accept this event in order to receive the drag move events that are sent while the drag and drop action is in progress. The drag enter event is always immediately followed by a drag move event.

QDragEnterEvent inherits most of its functionality from QDragMoveEvent, which in turn inherits most of its functionality from QDropEvent.

See also QDragLeaveEvent, QDragMoveEvent, and QDropEvent.

## Member Function Documentation

### QDragEnterEvent::QDragEnterEvent ( const QPoint & point, Qt::DropActions actions, const QMimeData * data, Qt::MouseButtons buttons, Qt::KeyboardModifiers modifiers )

Constructs a QDragEnterEvent that represents a drag entering a widget at the given point with mouse and keyboard states specified by buttons and modifiers.

The drag data is passed as MIME-encoded information in data, and the specified actions describe the possible types of drag and drop operation that can be performed.

Warning: Do not create a QDragEnterEvent yourself since these objects rely on Qt's internal state.